<template>
    <div class="my-cards">
        <div class="my-cards__wrapper">
            <div class="my-cards__header">
                <div class="my-cards__header-wrapper">
                    <h6 class="my-cards__header-title">Мои карты</h6>
                    <div class="my-cards__header-button">
                        <SVGIcon xlink="add-card-45" viewBox="0 0 45 45"/>
                        <span class="link blue" v-on:click="addNewCard">Добавить новую карту</span>
                    </div>
                </div>
            </div>
            <div class="my-cards__content">
                <CardRow v-for="item in cards"
                         :key="item.id"
                         :bank="item.bank"
                         :card="item.card"
                         :system="item.system"
                         :bound="item.bound"
                         :main="item.main"
                         :remove="item.remove"/>
            </div>
        </div>
    </div>
</template>

<script>
    import CardRow from "../../components/CardRow/index";
    import SVGIcon from "../../components/SVGIcon/index";

    export default {
        name: "MyCards",
        components: {
            SVGIcon,
            CardRow
        },
        data() {
            return {
                cards: [{
                    bound: true,
                    main: false,
                    remove: true,
                    card: {
                        number: '4276-84**-****-2529',
                        automaticPayment: null,
                    },
                    bank: {
                        name: 'Сбербанк **** 2529',
                        icon: 'sberbank-mini',
                    },
                    system: {
                        icon: 'visa-35',
                    }
                }, {
                    bound: false,
                    main: false,
                    remove: true,
                    card: {
                        number: '5521-49**-****-9513',
                        automaticPayment: null,
                    },
                    bank: {
                        name: 'Райффайзенбанк **** 6909',
                        icon: 'raiffeisen-mini',
                    },
                    system: {
                        icon: 'mastercard-35',
                    }
                }, {
                    bound: false,
                    main: false,
                    remove: true,
                    card: {
                        number: '5521-49**-****-9513',
                        automaticPayment: null,
                    },
                    bank: {
                        name: 'ПАО «МКБ» **** 0074',
                        icon: 'mkb-mini',
                    },
                    system: {
                        icon: 'mir-35',
                    }
                }]
            }
        },
        methods: {
            addNewCard() {
                this.$modal.show('AddNewCardModal');
            }
        }
    }
</script>